require "wordify_becz/version"
# all code for Gem goes in this file
# any time you add more code to your gem, must run in terminal: gem build wordify_becz.gemspec
module WordifyBecz
  def self.reversify(str)
    reversed_string = ''
    (str.length-1).downto(0).each do |n|
      reversed_string << str[n]
    end 
    reversed_string
  end 

  def self.casify(str)
    the_case = [:downcase, :upcase]
    letters = str.split("") #splits string into an array of letters 
    letters.each_with_index do |letter, i|
      this_case = the_case.sample
      letters[i] = letter.send(this_case) # .send: calls a method. it's sending a method to the letter we are passing it. 
    end 
    letters.join('') # .join is putting letters(which is an array, back into a string)
  end 

  def self.spacify(str, spaces = 0)
    new_string = str
    # using spaces variable to loop how many times
    spaces.times { new_string = new_string.split("").join(" ") }
    new_string
  end 

  def self.random_day
    ['monday', 'tuesday', 'wednesday', 'thursday', 'friday', 'saturday', 'sunday'].sample
    end 
end

# if you have one line in a loop, instead of a do and end, just use { loop } 